Update Block Number Group (Basic authentication)

Generated from cURL: curl --location 'https://api.pre-prod.ozonetel.com/ca_apis/updateBlockNumberGroup'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--data '{
"userName":"preprod",
"name":"create",
"description":"234",
"blockNumber":"2345",
"expiryDate":"2024-08-29 08:09:10"
}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using this API, you can add multiple phone numbers to a Block Number group.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Body Params

{
"userName":"xxxx",
"groupName":"xxxx",
"description":"xxxxx",
"expiryDate":"2024-09-10 10:15:12",
"blockNumbers": [
"xxxxxxxxxx",
"xxxxxxxxxx"
][
"xxxxxxxxxx",
"xxxxxxxxxx"
]
}

ParameterDescription
userNameYour CloudAgent account username
groupNameName of the group to be updated
descriptionEnter the description for the group
expiryDateAdd the expiry date for the number, this indicates the duration you want the number to remain in the blocked list.
Format: YYYY-MM-DD HH:MM:SS
blockNumbersPhone numbers to be added to the group
❗️

Rate Limit

This API supports the addition of up to 100 phone numbers in a single request.

Possible responses

Passing Invalid 'username' in Authorization{"status": "error","message": "Authentication failed"}
Passing Invalid 'password' in Authorization{"status": "error","message": "Authentication failed"}
Passing invalid Idkey parameter.{ "status": "error","message": "Parameters are mandatory"}
Passing invalid Idvalue parameter.{ "status": "error","message": "Invalid group id"}
Passing invalid blockNumbers key parameter.{ "status": "error","message": "Parameters are mandatory"}
Passing invalid blockNumbers value parameter.{"status": "error","message": "invalid data","errors": {"blockNumbers": "Blocknumbers data contains invalid format of numbers"}}
Successfully updating multiple numbers in a group"{""status"": ""success"",""message"": ""updated"",""input"": {""id"": XX,
""blockNumbers"": [""97XXX04XX3"",
""97XXX0XX94"",""97XXX0XX95""][""97XXX04XX3"",
""97XXX0XX94"",""97XXX0XX95""]},
""output"": {""succes"": [
""+9197XXX04XX3"",""+9197XXX0XX94"",
""+9197XXX0XX95""][
""+9197XXX04XX3"",""+9197XXX0XX94"",
""+9197XXX0XX95""],
""error"": [],""new"": 3,""inserted"": 3}}"
Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!